| SX126x-Arduino 2.0.1

Data Fields
RadioEvents_t Struct Reference

Radio driver callback functions. More...

`#include <radio.h>`

## Data Fields
void(* | TxDone )(void)
| Tx Done callback prototype. More...
void(* | TxTimeout )(void)
| Tx Timeout callback prototype. More...
void(* | RxDone )(uint8_t *payload, uint16_t size, int16_t rssi, int8_t snr)
| Rx Done callback prototype. More...
void(* | RxTimeout )(void)
| Rx Timeout callback prototype. More...
void(* | RxError )(void)
| Rx Error callback prototype. More...
void(* | PreAmpDetect )(void)
| Preamble detected callback prototype. More...
void(* | FhssChangeChannel )(uint8_t currentChannel)
| FHSS Change Channel callback prototype. More...
void(* | CadDone )(bool channelActivityDetected)
| CAD Done callback prototype. More...

## Detailed Description

Radio driver callback functions.

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp, and Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## Field Documentation

## ◆ TxDone

void(* RadioEvents_t::TxDone) (void)

Tx Done callback prototype.

Examples
  Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ TxTimeout

void(* RadioEvents_t::TxTimeout) (void)

Tx Timeout callback prototype.

Examples
  Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

## ◆ RxDone

void(* RadioEvents_t::RxDone) (uint8_t *payload, uint16_t size, int16_t rssi, int8_t snr)

Rx Done callback prototype.

Parameters

  payload | Received buffer pointer
  size | Received buffer size
  rssi | RSSI value computed while receiving the frame [dBm]
  snr | SNR value computed while receiving the frame [dB] FSK : N/A ( set to 0 ) LoRa: SNR value in dB

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp.

## ◆ RxTimeout

void(* RadioEvents_t::RxTimeout) (void)

Rx Timeout callback prototype.

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp.

## ◆ RxError

void(* RadioEvents_t::RxError) (void)

Rx Error callback prototype.

Examples
  Sensor-Gateway-Deepsleep\LoRa-Gateway\src\main.cpp.

## ◆ PreAmpDetect

void(* RadioEvents_t::PreAmpDetect) (void)

Preamble detected callback prototype.

## ◆ FhssChangeChannel

void(* RadioEvents_t::FhssChangeChannel) (uint8_t currentChannel)

FHSS Change Channel callback prototype.

Parameters

  currentChannel | Index number of the current channel

## ◆ CadDone

void(* RadioEvents_t::CadDone) (bool channelActivityDetected)

CAD Done callback prototype.

Parameters

  channelDetected | Channel Activity detected during the CAD

Examples
  Sensor-Gateway-Deepsleep\LoRa-TempSensor\src\main.cpp.

The documentation for this struct was generated from the following file:

- src/radio/radio.h